import React from "react";
import { connect } from "react-redux";
import { signOutStart } from "../../../redux/user/user.actions";

const mapDispatchToProps = (dispatch) => ({
  signOutStart: () => dispatch(signOutStart()),
});

export function SiderSignOut({ signOutStart, ...restProps }) {
  return <span onClick={() => signOutStart()}>Sign Out</span>;
}
export default connect(null, mapDispatchToProps)(SiderSignOut);
